SD Card
Download screennail (medium JPEG preview)
Initiates an async download of the file’s screennail (medium JPEG preview, larger than thumbnail). Useful for ML evaluation and quality previews. Remote-transfer mode only.
POST
/
api
/
cameras
/
{cameraId}
/
sd-card
/
slot
/
{slotNumber}
/
files
/
{contentId}
/
{fileId}
/
screennail
Download screennail (medium JPEG preview)
curl --request POST \
--url http://{host}:{port}/api/cameras/{cameraId}/sd-card/slot/{slotNumber}/files/{contentId}/{fileId}/screennail \
--header 'Content-Type: application/json' \
--data '
{
"save_path": "/Users/me/Pictures/captures"
}
'import requests
url = "http://{host}:{port}/api/cameras/{cameraId}/sd-card/slot/{slotNumber}/files/{contentId}/{fileId}/screennail"
payload = { "save_path": "/Users/me/Pictures/captures" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({save_path: '/Users/me/Pictures/captures'})
};
fetch('http://{host}:{port}/api/cameras/{cameraId}/sd-card/slot/{slotNumber}/files/{contentId}/{fileId}/screennail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"success": false,
"message": "Camera not connected",
"camera": {
"connected": false,
"model": "ILCE-7M4",
"id": "D06CE05E3323"
}
}{
"success": false,
"message": "Camera not connected",
"camera": {
"connected": false,
"model": "ILCE-7M4",
"id": "D06CE05E3323"
}
}Path Parameters
Camera identifier (e.g. D10F60149B0C)
SD card slot number (1 or 2)
Available options:
1, 2 SDK content identifier from listSDCardFiles response
SDK file identifier from listSDCardFiles response (always 0 in contents-transfer mode)
Body
application/json
Optional save path override. If omitted, uses the connection-time SetSaveInfo path.
Directory path on host PC to save the file
Example:
"/Users/me/Pictures/captures"
⌘I
Download screennail (medium JPEG preview)

